System requirements

Version 4.5 (or later)
Microsoft Exchange
Exchange 2010, 2013 or 2016.

Installation instructions

.NET 4.5 (or later)
Check that you have .NET 4.5 (or a later version) installed. If a suitable version of .NET isn’t already installed, you may be able to install it through Server Manager. Otherwise, you can download it from Microsoft.
Download and run the .msi. You will need to log in as an administrator to complete the installation.
At the end of the installation process, the manager application will be started to configure the list server for your system. The configuration interface will open in a browser window. If you need to come back to the configuration process you can just start the manager application from the start menu. will check for all its requirements and present you with options to resolve any problems.
Service user account
At a minimum you will need to choose (or create) a user account for the service to run under.
You will also need to choose or create a container in Active Directory to hold the mailing lists for

Support from

If you have any problems, you can get help by filling in a support request form. We are happy to assist.